org.custommonkey.xmlunit

## Class NodeDetail

- java.lang.Object
- - org.custommonkey.xmlunit.NodeDetail

    public class NodeDetail
    extends java.lang.Object

Parameter class for holding information about a `Node` within a Difference instance

See Also:
  `Difference.getControlNodeDetail()`, `Difference.getTestNodeDetail()`

### Constructor Summary

Constructors
Constructor and Description
`NodeDetail(java.lang.String value, org.w3c.dom.Node node, java.lang.String xpathLocation)` Constructor for NodeDetail.

### Method Summary

Methods
`org.w3c.dom.Node` `getNode()` Returns the node.
`java.lang.String` `getValue()` Returns the value.
`java.lang.String` `getXpathLocation()` Returns the xpathLocation.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NodeDetail

    public NodeDetail(java.lang.String value,
              org.w3c.dom.Node node,
              java.lang.String xpathLocation)

Constructor for NodeDetail.

### Method Detail

#### getNode

    public org.w3c.dom.Node getNode()

Returns the node.

Returns:
  Node

#### getValue

    public java.lang.String getValue()

Returns the value.

Returns:
  String

#### getXpathLocation

    public java.lang.String getXpathLocation()

Returns the xpathLocation.

Returns:
  String